package com.goafanti.common.model;

import java.io.Serializable;
import java.util.Date;

/**
 * user_data_log
 * @author 
 */
public class UserDataLog implements Serializable {
    private static final long serialVersionUID = 778546039023430919L;
    /**
     * 日志编号
     */
    private Integer id;

    /**
     * 用户ID
     */
    private String uid;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 备注
     */
    private String remarks;
    /**
     * 分类 0=主营产品，1=财务数据，2=前期沟通，3=面谈思路及目的
     */
    private Integer type;

    public UserDataLog(String uid,String remarks){
        setUid(uid);
        setRemarks(remarks);
        setType(0);
        setCreateTime(new Date());
    }

    public UserDataLog(String uid,String remarks,Integer type){
        setUid(uid);
        setRemarks(remarks);
        setType(type);
        setCreateTime(new Date());
    }

    public UserDataLog() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

}